
From: Adrian Bunk <bunk@stusta.de>

Anders Larsen wrote:

  If you remove any code inside the #ifdef CONFIG_QNX4FS_RW we might as well
  remove the option "config QNX4FS_RW" altogether.  It's horribly broken, and
  I don't intend to fix it; while I was thinking about how to properly
  implement write-support, somebody else went away and did it.  As that
  alternative seems to work well and is being actively maintained, I won't try
  to reinvent it.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null          |    0 
 25-akpm/fs/Kconfig |    2 +-
 2 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/Kconfig~mark-qnx4fs_rw-as-broken-fwd fs/Kconfig
--- 25/fs/Kconfig~mark-qnx4fs_rw-as-broken-fwd	Thu Dec  9 13:37:06 2004
+++ 25-akpm/fs/Kconfig	Thu Dec  9 13:37:06 2004
@@ -1374,7 +1374,7 @@ config QNX4FS_FS
 
 config QNX4FS_RW
 	bool "QNX4FS write support (DANGEROUS)"
-	depends on QNX4FS_FS && EXPERIMENTAL
+	depends on QNX4FS_FS && EXPERIMENTAL && BROKEN
 	help
 	  Say Y if you want to test write support for QNX4 file systems.
 
diff -L fs/Kconfig.old -puN /dev/null /dev/null
_
